| DocBook: The Definitive Guide 2.0.17 (Alpha)

# videodata

$Revision$

$Date$

videodata — Pointer to external video data

## Synopsis

### Content Model

    videodata ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
width | CDATA | None
srccredit | CDATA | None
contentdepth | CDATA | None
entityref | ENTITY | None
contentwidth | CDATA | None
scalefit | CDATA | None

align

Enumeration:
center
left
right

None

valign

Enumeration:
bottom
middle
top

None

depth | CDATA | None
fileref | CDATA | None

format

Enumeration:
BMP
CGM-BINARY
CGM-CHAR
CGM-CLEAR
DITROFF
DVI
EPS
EQN
FAX
GIF
GIF87a
GIF89a
IGES
JPEG
JPG
linespecific
PCX
PDF
PIC
PNG
PS
SGML
SVG
SWF
TBL
TEX
TIFF
WMF
WPG

None

scale | CDATA | None

## Description

This element points to an external entity containing video data.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Rendering a video is usually accomplished by reserving a rectangular area on the display and “running” the video in that frame.

There are two ways to provide content for `VideoData`: `EntityRef` or `FileRef`. It is best to use only one of these methods. However, if multiple sources are provided, `EntityRef` will be used in favor of `FileRef`.

### Parents

These elements contain videodata: `videoobject`.

## Attributes

align

  `Align` specifies the horizontal alignment of the image data on the page or within the element that frames it.

depth

  `Depth` specifies the desired depth (vertical distance, at least in horizontal writing systems) of the video data.

entityref

  `EntityRef` identifies the general entity which points to the content of the video data.

fileref

  `FileRef` specifies the name of the file which contains the content of the video data.

format

  `Format` identifies the format of the video data. The `Format` must be a defined notation.

scale

  `Scale` specifies integer representing a percentage scaling factor (retaining the relative dimensions of the original video frame). If unspecified, the value 100 (100%) is assumed.

scalefit

  If `ScaleFit` has the value 1 (true), then the video frame is to be scaled (uniformly) to the specified width or depth. The default value of 0 (false) indicates that the image will not be scaled to fit (although it may still be scaled by the `Scale` attribute).

srccredit

  `SrcCredit` contains details about the source of the video data.

width

  `Width` indicates the width of the graphic.

varname |  | videoobject

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.